Bug 592447 - kickstart install fails
kickstart install fails
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
14
x86_64 Linux
low Severity urgent
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-14 17:11 EDT by W Agtail
Modified: 2012-08-16 13:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 13:43:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tar ball of anaconda logs (910.00 KB, application/x-tar)
2010-05-14 17:11 EDT, W Agtail
no flags Details

  None (edit)
Description W Agtail 2010-05-14 17:11:07 EDT
Created attachment 414175 [details]
tar ball of anaconda logs

Description of problem:
kickstart install fails. something to do with disks.
i have two internal disks and one floppy disk.

Version-Release number of selected component (if applicable):
F13 Beta DVD x86_64

How reproducible:
Always

Steps to Reproduce:
1. Use kickstart with attached ks.cfg file
2.
3.
  
Actual results:
Install errors with some kind of disk errors.

Expected results:
Install to complete.

Additional info:
I have a USB media card reader attached to the mother board.

Any ideas? Thanks.
Comment 1 Chris Lumens 2010-05-14 23:22:02 EDT
anaconda 13.37.2 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/storage/devicetree.py", line 716, in _removeDevice
    raise ValueError("Cannot remove non-leaf device '%s'" % dev.name)
  File "/usr/lib/anaconda/storage/devicetree.py", line 766, in registerAction
    self._removeDevice(d)
  File "/usr/lib/anaconda/storage/__init__.py", line 778, in createDevice
    self.devicetree.registerAction(ActionCreateDevice(device))
  File "/usr/lib/anaconda/kickstart.py", line 897, in execute
    storage.createDevice(request)
  File "/usr/lib/anaconda/kickstart.py", line 1109, in execute
    obj.execute(self.anaconda)
  File "/usr/bin/anaconda", line 1176, in <module>
    anaconda.ksdata.execute()
ValueError: Cannot remove non-leaf device 'md2'
Comment 2 W Agtail 2010-06-01 15:27:39 EDT
Hi

Could you tell me when the http://download.fedora.redhat.com/pub/fedora/linux/development/x86_64/os/images/pxeboot/{initrd.img,vmlinuz} files will be made available? I would like to test a kickstart install with LVM/Raid before Fedora 14 is released.

Kind regards, W Agtail.
Comment 3 Chris Lumens 2010-06-03 11:24:27 EDT
I don't know how often those are going to be made for rawhide leading up to F14.  You'll want to ask rel-eng, perhaps on the fedora-devel list for information.
Comment 4 Bug Zapper 2010-07-30 07:37:52 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Manuel Faux 2010-08-19 18:00:52 EDT

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 Fedora End Of Life 2012-08-16 13:43:45 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.